#
# spec file for package python-uniseg
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-uniseg
Version:        0.7.2
Release:        2.1
Summary:        Python module for determining Unicode text segmentations
License:        MIT
URL:            https://bitbucket.org/emptypage/uniseg-py
Source:         https://files.pythonhosted.org/packages/source/u/uniseg/uniseg-%{version}.zip
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  %{pythons}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python
BuildArch:      noarch
%python_subpackages

%description
A pure Python module to determine Unicode text segmentations.

%prep
%setup -q -n uniseg-%{version}
sed -i -e '/^#!\//, 1d' uniseg/*test.py uniseg/samples/*.py

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand rm -Rv %{buildroot}%{$python_sitelib}/uniseg/samples
%python_expand rm -Rv %{buildroot}%{$python_sitelib}/uniseg/docs
%python_expand %fdupes %{buildroot}%{$python_sitelib}/uniseg/__pycache__

%check
%pyunittest -v uniseg/*test.py

%files %{python_files}
%license LICENSE
%doc README.rst
%doc uniseg/docs/uniseg.ja.html
%{python_sitelib}/uniseg
%{python_sitelib}/uniseg-%{version}.dist-info

%changelog
* Thu Jun 12 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
* Mon Feb 27 2023 Martin Hauke <mardnh@gmx.de>
- Update to version 0.7.2
  * Improve performance of Unicode lookups.
- Drop uniseg-dbpath
* Mon Mar  7 2022 Dirk Müller <dmueller@suse.com>
- update to 0.7.1.post2:
  * packaging updates
* Thu Aug 26 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
* Mon May 18 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Wed Dec 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Pull in the full python for sqlite module
* Thu Jul 26 2018 jengelh@inai.de
- Use noun phrase in summary.
* Tue Jul 24 2018 mardnh@gmx.de
- specfile cleanup
* Thu Nov 16 2017 toddrme2178@gmail.com
- Initial version
